curl --request POST \
--url https://api.fabric.inc/v3/shipping-methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"code": "SDD",
"name": "Express Delivery",
"addressType": "APO",
"attributes": {
"carrier": "FedEx",
"type": "Next Day"
},
"carrier": "FedEx",
"cartValue": {
"max": 3.1,
"min": 2.1
},
"cost": 20.5,
"createdBy": "User1",
"currency": "USD",
"cutoffTime": 1330,
"description": "Express Delivery 2 - 5 days",
"dimension": {
"max": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
},
"min": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
}
},
"maximumDays": 5,
"minimumDays": 2,
"region": "CA",
"taxCode": "FR01",
"weight": {
"max": 3.1,
"min": 2.1
}
}
'import requests
url = "https://api.fabric.inc/v3/shipping-methods"
payload = {
"code": "SDD",
"name": "Express Delivery",
"addressType": "APO",
"attributes": {
"carrier": "FedEx",
"type": "Next Day"
},
"carrier": "FedEx",
"cartValue": {
"max": 3.1,
"min": 2.1
},
"cost": 20.5,
"createdBy": "User1",
"currency": "USD",
"cutoffTime": 1330,
"description": "Express Delivery 2 - 5 days",
"dimension": {
"max": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
},
"min": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
}
},
"maximumDays": 5,
"minimumDays": 2,
"region": "CA",
"taxCode": "FR01",
"weight": {
"max": 3.1,
"min": 2.1
}
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
code: 'SDD',
name: 'Express Delivery',
addressType: 'APO',
attributes: {carrier: 'FedEx', type: 'Next Day'},
carrier: 'FedEx',
cartValue: {max: 3.1, min: 2.1},
cost: 20.5,
createdBy: 'User1',
currency: 'USD',
cutoffTime: 1330,
description: 'Express Delivery 2 - 5 days',
dimension: {
max: {height: 2.4, length: 4.6, uom: 'EA', width: 3.5},
min: {height: 2.4, length: 4.6, uom: 'EA', width: 3.5}
},
maximumDays: 5,
minimumDays: 2,
region: 'CA',
taxCode: 'FR01',
weight: {max: 3.1, min: 2.1}
})
};
fetch('https://api.fabric.inc/v3/shipping-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/shipping-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => 'SDD',
'name' => 'Express Delivery',
'addressType' => 'APO',
'attributes' => [
'carrier' => 'FedEx',
'type' => 'Next Day'
],
'carrier' => 'FedEx',
'cartValue' => [
'max' => 3.1,
'min' => 2.1
],
'cost' => 20.5,
'createdBy' => 'User1',
'currency' => 'USD',
'cutoffTime' => 1330,
'description' => 'Express Delivery 2 - 5 days',
'dimension' => [
'max' => [
'height' => 2.4,
'length' => 4.6,
'uom' => 'EA',
'width' => 3.5
],
'min' => [
'height' => 2.4,
'length' => 4.6,
'uom' => 'EA',
'width' => 3.5
]
],
'maximumDays' => 5,
'minimumDays' => 2,
'region' => 'CA',
'taxCode' => 'FR01',
'weight' => [
'max' => 3.1,
'min' => 2.1
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/shipping-methods"
payload := strings.NewReader("{\n \"code\": \"SDD\",\n \"name\": \"Express Delivery\",\n \"addressType\": \"APO\",\n \"attributes\": {\n \"carrier\": \"FedEx\",\n \"type\": \"Next Day\"\n },\n \"carrier\": \"FedEx\",\n \"cartValue\": {\n \"max\": 3.1,\n \"min\": 2.1\n },\n \"cost\": 20.5,\n \"createdBy\": \"User1\",\n \"currency\": \"USD\",\n \"cutoffTime\": 1330,\n \"description\": \"Express Delivery 2 - 5 days\",\n \"dimension\": {\n \"max\": {\n \"height\": 2.4,\n \"length\": 4.6,\n \"uom\": \"EA\",\n \"width\": 3.5\n },\n \"min\": {\n \"height\": 2.4,\n \"length\": 4.6,\n \"uom\": \"EA\",\n \"width\": 3.5\n }\n },\n \"maximumDays\": 5,\n \"minimumDays\": 2,\n \"region\": \"CA\",\n \"taxCode\": \"FR01\",\n \"weight\": {\n \"max\": 3.1,\n \"min\": 2.1\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/shipping-methods")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"SDD\",\n \"name\": \"Express Delivery\",\n \"addressType\": \"APO\",\n \"attributes\": {\n \"carrier\": \"FedEx\",\n \"type\": \"Next Day\"\n },\n \"carrier\": \"FedEx\",\n \"cartValue\": {\n \"max\": 3.1,\n \"min\": 2.1\n },\n \"cost\": 20.5,\n \"createdBy\": \"User1\",\n \"currency\": \"USD\",\n \"cutoffTime\": 1330,\n \"description\": \"Express Delivery 2 - 5 days\",\n \"dimension\": {\n \"max\": {\n \"height\": 2.4,\n \"length\": 4.6,\n \"uom\": \"EA\",\n \"width\": 3.5\n },\n \"min\": {\n \"height\": 2.4,\n \"length\": 4.6,\n \"uom\": \"EA\",\n \"width\": 3.5\n }\n },\n \"maximumDays\": 5,\n \"minimumDays\": 2,\n \"region\": \"CA\",\n \"taxCode\": \"FR01\",\n \"weight\": {\n \"max\": 3.1,\n \"min\": 2.1\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/shipping-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"SDD\",\n \"name\": \"Express Delivery\",\n \"addressType\": \"APO\",\n \"attributes\": {\n \"carrier\": \"FedEx\",\n \"type\": \"Next Day\"\n },\n \"carrier\": \"FedEx\",\n \"cartValue\": {\n \"max\": 3.1,\n \"min\": 2.1\n },\n \"cost\": 20.5,\n \"createdBy\": \"User1\",\n \"currency\": \"USD\",\n \"cutoffTime\": 1330,\n \"description\": \"Express Delivery 2 - 5 days\",\n \"dimension\": {\n \"max\": {\n \"height\": 2.4,\n \"length\": 4.6,\n \"uom\": \"EA\",\n \"width\": 3.5\n },\n \"min\": {\n \"height\": 2.4,\n \"length\": 4.6,\n \"uom\": \"EA\",\n \"width\": 3.5\n }\n },\n \"maximumDays\": 5,\n \"minimumDays\": 2,\n \"region\": \"CA\",\n \"taxCode\": \"FR01\",\n \"weight\": {\n \"max\": 3.1,\n \"min\": 2.1\n }\n}"
response = http.request(request)
puts response.read_body{
"code": "SDD",
"name": "Express Delivery",
"addressType": "APO",
"attributes": {
"carrier": "FedEx",
"type": "Next Day"
},
"carrier": "FedEx",
"cartValue": {
"max": 3.1,
"min": 2.1
},
"channelId": "12",
"configuredBy": "User3",
"cost": 20.5,
"createdAt": "2022-08-01T20:03:28.483Z",
"createdBy": "User1",
"currency": "USD",
"cutoffTime": 1330,
"description": "Express Delivery 2 - 5 days",
"dimension": {
"max": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
},
"min": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
}
},
"isDeleted": false,
"maximumDays": 5,
"minimumDays": 2,
"region": "CA",
"shippingMethodId": "5349b4ddd2781d08c09890f4",
"taxCode": "FR01",
"updatedAt": "2022-08-01T20:03:28.483Z",
"updatedBy": "User2",
"weight": {
"max": 3.1,
"min": 2.1
}
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Create shipping method
On your storefront, shipping methods determine how products are delivered to your customers. Some of the common shipping methods are domestic, international, free shipping, and express delivery.
This endpoint is used to create a new shipping method. In the response, you will also get a shipping method ID, which will be required for subsequent calls to get, update, and delete this shipping method.
curl --request POST \
--url https://api.fabric.inc/v3/shipping-methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"code": "SDD",
"name": "Express Delivery",
"addressType": "APO",
"attributes": {
"carrier": "FedEx",
"type": "Next Day"
},
"carrier": "FedEx",
"cartValue": {
"max": 3.1,
"min": 2.1
},
"cost": 20.5,
"createdBy": "User1",
"currency": "USD",
"cutoffTime": 1330,
"description": "Express Delivery 2 - 5 days",
"dimension": {
"max": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
},
"min": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
}
},
"maximumDays": 5,
"minimumDays": 2,
"region": "CA",
"taxCode": "FR01",
"weight": {
"max": 3.1,
"min": 2.1
}
}
'import requests
url = "https://api.fabric.inc/v3/shipping-methods"
payload = {
"code": "SDD",
"name": "Express Delivery",
"addressType": "APO",
"attributes": {
"carrier": "FedEx",
"type": "Next Day"
},
"carrier": "FedEx",
"cartValue": {
"max": 3.1,
"min": 2.1
},
"cost": 20.5,
"createdBy": "User1",
"currency": "USD",
"cutoffTime": 1330,
"description": "Express Delivery 2 - 5 days",
"dimension": {
"max": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
},
"min": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
}
},
"maximumDays": 5,
"minimumDays": 2,
"region": "CA",
"taxCode": "FR01",
"weight": {
"max": 3.1,
"min": 2.1
}
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
code: 'SDD',
name: 'Express Delivery',
addressType: 'APO',
attributes: {carrier: 'FedEx', type: 'Next Day'},
carrier: 'FedEx',
cartValue: {max: 3.1, min: 2.1},
cost: 20.5,
createdBy: 'User1',
currency: 'USD',
cutoffTime: 1330,
description: 'Express Delivery 2 - 5 days',
dimension: {
max: {height: 2.4, length: 4.6, uom: 'EA', width: 3.5},
min: {height: 2.4, length: 4.6, uom: 'EA', width: 3.5}
},
maximumDays: 5,
minimumDays: 2,
region: 'CA',
taxCode: 'FR01',
weight: {max: 3.1, min: 2.1}
})
};
fetch('https://api.fabric.inc/v3/shipping-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/shipping-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => 'SDD',
'name' => 'Express Delivery',
'addressType' => 'APO',
'attributes' => [
'carrier' => 'FedEx',
'type' => 'Next Day'
],
'carrier' => 'FedEx',
'cartValue' => [
'max' => 3.1,
'min' => 2.1
],
'cost' => 20.5,
'createdBy' => 'User1',
'currency' => 'USD',
'cutoffTime' => 1330,
'description' => 'Express Delivery 2 - 5 days',
'dimension' => [
'max' => [
'height' => 2.4,
'length' => 4.6,
'uom' => 'EA',
'width' => 3.5
],
'min' => [
'height' => 2.4,
'length' => 4.6,
'uom' => 'EA',
'width' => 3.5
]
],
'maximumDays' => 5,
'minimumDays' => 2,
'region' => 'CA',
'taxCode' => 'FR01',
'weight' => [
'max' => 3.1,
'min' => 2.1
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/shipping-methods"
payload := strings.NewReader("{\n \"code\": \"SDD\",\n \"name\": \"Express Delivery\",\n \"addressType\": \"APO\",\n \"attributes\": {\n \"carrier\": \"FedEx\",\n \"type\": \"Next Day\"\n },\n \"carrier\": \"FedEx\",\n \"cartValue\": {\n \"max\": 3.1,\n \"min\": 2.1\n },\n \"cost\": 20.5,\n \"createdBy\": \"User1\",\n \"currency\": \"USD\",\n \"cutoffTime\": 1330,\n \"description\": \"Express Delivery 2 - 5 days\",\n \"dimension\": {\n \"max\": {\n \"height\": 2.4,\n \"length\": 4.6,\n \"uom\": \"EA\",\n \"width\": 3.5\n },\n \"min\": {\n \"height\": 2.4,\n \"length\": 4.6,\n \"uom\": \"EA\",\n \"width\": 3.5\n }\n },\n \"maximumDays\": 5,\n \"minimumDays\": 2,\n \"region\": \"CA\",\n \"taxCode\": \"FR01\",\n \"weight\": {\n \"max\": 3.1,\n \"min\": 2.1\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/shipping-methods")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"SDD\",\n \"name\": \"Express Delivery\",\n \"addressType\": \"APO\",\n \"attributes\": {\n \"carrier\": \"FedEx\",\n \"type\": \"Next Day\"\n },\n \"carrier\": \"FedEx\",\n \"cartValue\": {\n \"max\": 3.1,\n \"min\": 2.1\n },\n \"cost\": 20.5,\n \"createdBy\": \"User1\",\n \"currency\": \"USD\",\n \"cutoffTime\": 1330,\n \"description\": \"Express Delivery 2 - 5 days\",\n \"dimension\": {\n \"max\": {\n \"height\": 2.4,\n \"length\": 4.6,\n \"uom\": \"EA\",\n \"width\": 3.5\n },\n \"min\": {\n \"height\": 2.4,\n \"length\": 4.6,\n \"uom\": \"EA\",\n \"width\": 3.5\n }\n },\n \"maximumDays\": 5,\n \"minimumDays\": 2,\n \"region\": \"CA\",\n \"taxCode\": \"FR01\",\n \"weight\": {\n \"max\": 3.1,\n \"min\": 2.1\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/shipping-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"SDD\",\n \"name\": \"Express Delivery\",\n \"addressType\": \"APO\",\n \"attributes\": {\n \"carrier\": \"FedEx\",\n \"type\": \"Next Day\"\n },\n \"carrier\": \"FedEx\",\n \"cartValue\": {\n \"max\": 3.1,\n \"min\": 2.1\n },\n \"cost\": 20.5,\n \"createdBy\": \"User1\",\n \"currency\": \"USD\",\n \"cutoffTime\": 1330,\n \"description\": \"Express Delivery 2 - 5 days\",\n \"dimension\": {\n \"max\": {\n \"height\": 2.4,\n \"length\": 4.6,\n \"uom\": \"EA\",\n \"width\": 3.5\n },\n \"min\": {\n \"height\": 2.4,\n \"length\": 4.6,\n \"uom\": \"EA\",\n \"width\": 3.5\n }\n },\n \"maximumDays\": 5,\n \"minimumDays\": 2,\n \"region\": \"CA\",\n \"taxCode\": \"FR01\",\n \"weight\": {\n \"max\": 3.1,\n \"min\": 2.1\n }\n}"
response = http.request(request)
puts response.read_body{
"code": "SDD",
"name": "Express Delivery",
"addressType": "APO",
"attributes": {
"carrier": "FedEx",
"type": "Next Day"
},
"carrier": "FedEx",
"cartValue": {
"max": 3.1,
"min": 2.1
},
"channelId": "12",
"configuredBy": "User3",
"cost": 20.5,
"createdAt": "2022-08-01T20:03:28.483Z",
"createdBy": "User1",
"currency": "USD",
"cutoffTime": 1330,
"description": "Express Delivery 2 - 5 days",
"dimension": {
"max": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
},
"min": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
}
},
"isDeleted": false,
"maximumDays": 5,
"minimumDays": 2,
"region": "CA",
"shippingMethodId": "5349b4ddd2781d08c09890f4",
"taxCode": "FR01",
"updatedAt": "2022-08-01T20:03:28.483Z",
"updatedBy": "User2",
"weight": {
"max": 3.1,
"min": 2.1
}
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Body
Details to create shipping method
Time at which the current 'order day' is over. Note: If an order is delivered after the cutoff time, it's considered as delivered the next working day. For example, if the cutoff time is set to 5:00 PM, any orders delivered after this time will be considered to have been delivered the following business day.
1330
Response
Created
Shipping method response model
Time at which the current 'order day' is over. Note: If an order is delivered after the cutoff time, it's considered as delivered the next working day. For example, if the cutoff time is set to 5:00 PM, any orders delivered after this time will be considered to have been delivered the following business day.
1330
Was this page helpful?
